
#ifdef GL_ES
#define LOWP lowp
precision mediump float;
#else
#define LOWP
#endif
varying LOWP vec4 v_color;
varying vec2 v_texCoords;
uniform sampler2D u_texture;
uniform sampler2D u_UV;
//mat3 m = mat3(
//            1.0, 1.40200, 0.0, // first column (not row!)
//            1.0, -0.71414, -0.34414, // second column
//            1.0,  0.0, 1.7720 // third column
//);
void main()
{
    //vec4 c = vec4(0,0,0,1);
    vec2 xy = mat2(0.0, 1.0, -1.0, 0.0) * (v_texCoords - vec2(0.5,0.5)) + vec2(0.5, 0.5);
    xy.y = 1.0 - xy.y;
	float y = texture2D(u_texture, xy).a;
	vec4 cc4 = texture2D(u_UV, xy); //.ba - vec2(0.5, 0.5);
	float cr = cc4.r - 0.5;
	float cb = cc4.a - 0.5;
                // Approximation
//				R = (int) (Y + 1.40200 * Cr);
//			    G = (int) (Y - 0.34414 * Cb - 0.71414 * Cr);
//				B = (int) (Y + 1.77200 * Cb);
    vec4 c4 = vec4(y + 1.4020 * cr, y - 0.34414 * cb - 0.71414 * cr, y + 1.7720 * cb, 1.0) * v_color;
    //vec4 cc = vec4(clamp(v_color * texture2D(u_texture, v_texCoords).a, 0.0, 1.0));
    //cc.a = v_color.a;
  gl_FragColor = clamp(c4, 0.0, 1.0);
}
