
#ifdef GL_ES
#define LOWP lowp
precision mediump float;
#else
#define LOWP
#endif
varying LOWP vec4 v_color;
varying vec2 v_texCoords;
uniform sampler2D u_texture;

// only luminance
void main()
{ // only luminance
    float l = texture2D(u_texture, v_texCoords).a;
    gl_FragColor = v_color * vec4(l, l, l, 1.0);
}
